cordova.define("cordova-plugin-keep.keep", function(require, exports, module) {

var argscheck = require('cordova/argscheck');
var channel = require('cordova/channel');
var utils = require('cordova/utils');
var exec = require('cordova/exec');
var cordova = require('cordova');

/**
 * This is keep plugin
 * phone, etc.
 * @constructor
 */
function Keep () {
    this.cordova = null;
    this.isVertical = null;

    var me = this;

}

/**
 * Keep.open
 */
Keep.prototype.open = function (successCallback, errorCallback) {
    argscheck.checkArgs('fF', 'Keep.open', arguments);

    exec(successCallback, errorCallback, 'Keep', 'open', []);
};

/**
 * Keep.close
 */
Keep.prototype.close = function (successCallback, errorCallback) {
    argscheck.checkArgs('fF', 'Keep.close', arguments);

    exec(successCallback, errorCallback, 'Keep', 'close', []);
};

Keep.prototype.setDefaultVolume = function (volume, successCallback, errorCallback) {
   //argscheck.checkArgs('fF', 'Keep.setDefaultVolume', arguments);
   exec(successCallback, errorCallback, 'Keep', 'setDefaultVolume', [volume]);
};

Keep.prototype.resumeDefaultVolume = function (successCallback, errorCallback) {
   //argscheck.checkArgs('fF', 'Keep.resumeDefaultVolume', arguments);
   exec(successCallback, errorCallback, 'Keep', 'resumeDefaultVolume', []);
};

module.exports = new Keep();

});
